
/*
  cc -g -c isofs_wrap.c
*/

/*
  libisofs related functions of libisoburn.

  Copyright 2007 Vreixo Formoso Lopes <metalpain2002@yahoo.es>
*/


/* Vreixo:

   This is now all yours. My text here is only a snapshot
   of what i think we discussed in the last days.

   If you change the prototypes of the functions listed
   in this initial stub, then you have to change isoburn.h
   and eventually libisoburn.h. And you have to tell me so
   i can adjust burn_wrap.c .

*/


/* API function. See libisoburn.h
*/
int isoburn_update_iso_descriptors(struct burn_drive *drive)
{

 /* >>>  code <<< */

}


/** Allocate and initialize memory for libisofs related objects in 
    struct isoburn.
    @param o A freshly created isoburn object with NULL pointers
    @return <=0 error , 1 = success
*/
int isoburn_new_rwopts(struct isoburn *o)
{

 /* >>>  code <<< */

}


/** Dispose memory objects created by isoburn_new_rwopts(). This function
    expect that the pointers in struct isoburn might still be NULL, i.e.
    that isoburn_new_rwopts() was not called before.
    @return <=0 error , 1 = success
*/
int isoburn_free_rwopts(struct isoburn *o)
{

 /* >>>  code <<< */

}


/** Initialize the emulation of multi-session on random access media.
    The need for emulation is confirmed already.
    @param o A freshly created isoburn object. isoburn_new_rwopts() was
             already called, nevertheless.
    @return <=0 error , 1 = success
*/
int isoburn_start_emulation(struct isoburn *o, int flag)
{

 /* >>> code <<< */

}


/** Reads, alters and writes the first 64 kB of a "media" to invalidate
    an ISO image. (It shall stay restorable by skilled humans, though).
    The result shall especially keep libisofs from accepting the media
    image as ISO filesystem.
    @param o A fully activated isoburn object. isoburn_start_emulation()
             was already called.
    @return <=0 error , 1 = success
*/
int isoburn_invalidate_iso(struct isoburn *o, int flag)
{

 /* >>>  code <<< */

}


